ghc-7.10.2: The GHC API

Safe Haskell | None
Language | Haskell2010

SPARC.ShortcutJump

# Documentation

data JumpDest Source

Constructors

DestBlockId BlockId |
DestImm Imm |

getJumpDestBlockId :: JumpDest -> Maybe BlockId Source

canShortcut :: Instr -> Maybe JumpDest Source

shortcutJump :: (BlockId -> Maybe JumpDest) -> Instr -> Instr Source

shortcutStatics :: (BlockId -> Maybe JumpDest) -> CmmStatics -> CmmStatics Source

shortBlockId :: (BlockId -> Maybe JumpDest) -> BlockId -> CLabel Source